%define __installinfo	/usr/bin/install-info
%define __distname	fftw

Summary: Fast Fourier Transform library
Name: fftw3
Version: 3.2.2
Release: 10.6%{?dist}1a
License: GPL
Group: System Environment/Libraries
URL: http://www.fftw.org/

Source: http://www.fftw.org/fftw-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{__distname}-%{version}-%{release}-root

%description
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -n %{__distname}-%{version}

%build
%configure \
	--enable-shared \
	--enable-threads

%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__rm} -f doc/Makefile*
%{__rm} -f %{buildroot}%{_libdir}/*.la \
		%{buildroot}%{_infodir}/dir

%post devel
%{__installinfo} %{_infodir}/%{name}.info %{_infodir}/dir

%preun devel
%{__installinfo} --delete %{_infodir}/%{name}.info %{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, wheel, 0755)
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README* TODO
%{_libdir}/lib*.*.*

%files devel
%defattr(-, root, wheel, 0755)
%doc doc/*.pdf doc/FAQ/fftw-faq.html/ doc/html/
%doc %{_mandir}/man?/*
%doc %{_infodir}/*.info*
%{_bindir}/*
%{_includedir}/*.h
%{_includedir}/*.f
%{_libdir}/*.a
%{_libdir}/lib*.*
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/lib*.*.*

%changelog
* Mon Mar 08 2010 Dag Wieers <keisuke.fujii@kek.jp> - 3.2.2-10.6hepx1a
- 1st release on MacOS X 10.6

* Fri Aug 15 2008 Dag Wieers <keisuke.fujii@kek.jp> - 3.1.2-10.5hepx1a
- 1st release on MacOS X 10.5
